Package org.jbpm.process.builder.dialect.mvel

## Class MVELResolverFactory

- java.lang.Object
- - org.mvel2.integration.impl.ImmutableDefaultFactory
  - - org.jbpm.workflow.instance.impl.NodeInstanceResolverFactory
    - - org.jbpm.process.builder.dialect.mvel.MVELResolverFactory

- All Implemented Interfaces:
    `Serializable`, `org.mvel2.integration.VariableResolverFactory`

      public class MVELResolverFactory
      extends NodeInstanceResolverFactory

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MVELResolverFactory​(NodeInstance nodeInstance, String varName)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getVariable()` |
    `org.mvel2.integration.VariableResolver` | `getVariableResolver​(String name)` |

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceResolverFactory

      `addExtraParameter, isResolveable`

    - ### Methods inherited from class org.mvel2.integration.impl.ImmutableDefaultFactory

      `createIndexedVariable, createIndexedVariable, createVariable, createVariable, getIndexedVariableResolver, getKnownVariables, getNextFactory, isIndexedFactory, isTarget, setIndexedVariableResolver, setNextFactory, setTiltFlag, tiltFlag, variableIndexOf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MVELResolverFactory

          public MVELResolverFactory​(NodeInstance nodeInstance,
                                     String varName)

  - ### Method Detail

    - #### getVariable

          public Object getVariable()

    - #### getVariableResolver

          public org.mvel2.integration.VariableResolver getVariableResolver​(String name)

      Specified by:
        `getVariableResolver` in interface `org.mvel2.integration.VariableResolverFactory`
      Overrides:
        `getVariableResolver` in class `NodeInstanceResolverFactory`